package com.ruoyi.mall.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 志愿报告条目对象 tb_report_intelligence
 *
 * @author ruoyi
 * @date 2023-10-28
 */
public class ReportIntelligence extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 志愿条目id */
    private Long itemId;

    /** 所属报告id */
    @Excel(name = "所属报告id")
    private Long reportId;

    /** 志愿顺序位次（用于排序志愿） */
    @Excel(name = "志愿顺序位次", readConverterExp = "用=于排序志愿")
    private Integer sort;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;
    private String userName;

    /** 学校id */
    @Excel(name = "学校id")
    private Long schoolId;
    private String schoolName;

    /** 专业id */
    @Excel(name = "专业id")
    private Long majorId;
    private String majorName;

    /** 批次id */
    @Excel(name = "批次id")
    private Long batchId;

    /** 删除标志(0代表存在 2代表删除) */
    private String delFlag;

    private String subjectType;

    /** 绑定学校ID */
    private Long bindingSchoolId;

    /** 小程序邀请人ID */
    private Long indexUserId;

    public Long getIndexUserId() {
        return indexUserId;
    }

    public void setIndexUserId(Long indexUserId) {
        this.indexUserId = indexUserId;
    }

    public Long getBindingSchoolId() {
        return bindingSchoolId;
    }

    public void setBindingSchoolId(Long bindingSchoolId) {
        this.bindingSchoolId = bindingSchoolId;
    }

    public String getSubjectType() {
        return subjectType;
    }

    public void setSubjectType(String subjectType) {
        this.subjectType = subjectType;
    }

    public void setItemId(Long itemId)
    {
        this.itemId = itemId;
    }

    public Long getItemId()
    {
        return itemId;
    }
    public void setReportId(Long reportId)
    {
        this.reportId = reportId;
    }

    public Long getReportId()
    {
        return reportId;
    }
    public void setSort(Integer sort)
    {
        this.sort = sort;
    }

    public Integer getSort()
    {
        return sort;
    }
    public void setSchoolId(Long schoolId)
    {
        this.schoolId = schoolId;
    }

    public Long getSchoolId()
    {
        return schoolId;
    }
    public void setMajorId(Long majorId)
    {
        this.majorId = majorId;
    }

    public Long getMajorId()
    {
        return majorId;
    }
    public void setBatchId(Long batchId)
    {
        this.batchId = batchId;
    }

    public Long getBatchId()
    {
        return batchId;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getSchoolName() {
        return schoolName;
    }

    public void setSchoolName(String schoolName) {
        this.schoolName = schoolName;
    }

    public String getMajorName() {
        return majorName;
    }

    public void setMajorName(String majorName) {
        this.majorName = majorName;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    @Override
    public String toString() {
        return "ReportIntelligence{" +
                "itemId=" + itemId +
                ", reportId=" + reportId +
                ", sort=" + sort +
                ", userId=" + userId +
                ", schoolId=" + schoolId +
                ", majorId=" + majorId +
                ", batchId=" + batchId +
                ", delFlag='" + delFlag + '\'' +
                '}';
    }
}
